package com.xdf.creative.util.file;

import com.xdf.creative.enums.ServiceFileDirEnum;
import com.xdf.creative.enums.ServiceFileUploadDirEnum;

public class ServerUploadDirUtil {

    public static String getDirName(Integer dirType) {

        String dirName = "";

        if (ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_WEB.getCode().equals(dirType)) {

            dirName = ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_WEB.getName();

        } else if (ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_AUTH.getCode().equals(dirType)) {

            dirName = ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_AUTH.getName();

        } else if (ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_ADMIN.getCode().equals(dirType)) {

            dirName = ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_ADMIN.getName();

        }
        return dirName;
    }

    public static String getFileUploadDir(Integer type) {
        String uploadDir = "";
        switch (type) {
            case 1:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_BANNER.getName();
                break;
            case 2:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_NOTICE.getName();
                break;
            case 3:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_DYNAMIC.getName();
                break;
            case 7:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_DIVISION.getName();
                break;
            case 8:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_PARK.getName();
                break;
            case 9:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_ACTIVITY.getName();
                break;
            case 13:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_EXPRESS.getName();
                break;
            case 14:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_POLICY.getName();
                break;
            case 19:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_STONE.getName();
                break;
            case 22:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_SUPPORT.getName();
                break;
            case 5:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_OTHER.getName();
                break;
            default: //可选
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_OTHER.getName();
        }
        return uploadDir;
    }
}
